## nvidia-nccl 2.18.3-1

=== debian/changelog ===
nvidia-nccl (2.18.3-1-1) unstable; urgency=medium

  * New upstream version 2.18.3-1
  * Refresh existing patches.
  * Fix superfluous file pattern in d/copyright.
  * Add two new symbols.

 -- Mo Zhou <lumin@debian.org>  Wed, 19 Jul 2023 23:47:47 -0700

nvidia-nccl (2.16.5-1-2) unstable; urgency=medium

  [ Andreas Beckmann ]
  * drop redundant B-D: nvidia-cuda-toolkit
  * add salsa-ci.yml
  * build verbosely to make blhc happy
  * do not omit hardening flags
  * ci: disable reprotest

  [ Mo Zhou ]
  * really use nvidia-cuda-toolkit-gcc
  * Amend the SOVERSION for Provides.
  * Add symbols control file (validated on ppc64el, amd64)

 -- Mo Zhou <lumin@debian.org>  Wed, 19 Jul 2023 23:14:37 -0700

nvidia-nccl (2.16.5-1-1) unstable; urgency=medium

  * Initial release. (Closes: #1031565)

 -- Mo Zhou <lumin@debian.org>  Sun, 19 Feb 2023 20:16:33 -0500
