=== debian/rules ===
#!/usr/bin/make -f
export CUDA_HOME=/usr
export VERBOSE=1
export CC=cuda-gcc
export CXX=cuda-g++

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- src.build

override_dh_auto_install:
	PREFIX=$(shell pwd)/debian/tmp dh_auto_install

# Do not run test automatically - they require CUDA-capable hardware
override_dh_auto_test:
