## nvidia-nccl 2.18.5-1

=== debian/changelog ===
nvidia-nccl (2.18.5-1-2) unstable; urgency=medium

  * Team upload.
  * ci: Let blhc ignore some nonverbose lines.
  * Add upstream metadata.
  * With debhelper-compat 13 there is no more need for dh-exec.
  * Bump Standards-Version to 4.6.2, no changes needed.
  * Fix or override some issues found by Lintian.
  * Enable more hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 12 Nov 2023 02:15:42 +0100

nvidia-nccl (2.18.5-1-1) unstable; urgency=medium

  * New upstream version 2.18.5-1

 -- Mo Zhou <lumin@debian.org>  Wed, 06 Sep 2023 20:20:30 -0400
