=== debian/control ===
--- 
+++ 
@@ -3,9 +3,8 @@
 Priority: optional
 Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders: Mo Zhou <lumin@debian.org>
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-               dh-exec,
                nvidia-cuda-toolkit-gcc
 Homepage: https://github.com/NVIDIA/nccl
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-nccl
@@ -13,7 +12,6 @@
 Rules-Requires-Root: no
 
 Package: libnccl2
-Section: contrib/libs
 Architecture: amd64 arm64 ppc64el
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Provides: libnccl.so.2
@@ -34,7 +32,7 @@
 Architecture: amd64 arm64 ppc64el
 Depends: libnccl2 (= ${binary:Version}), ${misc:Depends}, ${shlibs:Depends}
 Provides: libnccl.so
-Description: NVIDIA Optimized primitives for inter-GPU communication
+Description: NVIDIA Optimized primitives for inter-GPU communication (development)
  NCCL (pronounced "Nickel") is a stand-alone library of standard communication
  routines for GPUs, implementing all-reduce, all-gather, reduce, broadcast,
  reduce-scatter, as well as any send/receive based communication pattern. It
