=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Uploaders: Mo Zhou <lumin@debian.org>
 Standards-Version: 4.6.2
 Build-Depends: debhelper-compat (= 13),
-               nvidia-cuda-toolkit-gcc
+               nvidia-cuda-toolkit-gcc,
+               python3-all,
 Homepage: https://github.com/NVIDIA/nccl
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-nccl
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-nccl.git
