=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,5 @@
 #!/usr/bin/make -f
+export DEB_BUILD_MAINT_OPTIONS=hardening=+all
 export CUDA_HOME=/usr
 export VERBOSE=1
 export CC=cuda-gcc
